| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__DnmDefinitionKey Struct Reference
Display Number Modification

DNM Definition Key. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | BgName
| The name of the Business Group. More...
xsd__string | NpName
| The name of the Originating Numbering Plan for this DN Definition entry. More...
enum unsp__DnmNumberPlanIndicator | Npi
| The type of numbering plan format to apply. More...
xsd__string | Code2
| Represents a Country code when the NP indicator is set to 'Public' or a Level 2 code when the NP indicator is set to 'Private'. More...
xsd__string | Code1
| Represents an Area code when the NP indicator is set to 'Public' or a Level 1 code when the NP indicator is set to 'Private'. More...
xsd__string | Code0
| Represents a Local office code when the NP indicator is set to 'Public' or a Level 0 code when the NP indicator is set to 'Private'. More...

## Detailed Description

DNM Definition Key.

## Member Data Documentation

## ◆ BgName

xsd__string unsp__DnmDefinitionKey::BgName

The name of the Business Group.

When the corresponding XML tag has no value (tag is empty) the 'ANY' BgName will be used instead.
required: true

See also
  unsp__BGName

## ◆ Code0

xsd__string unsp__DnmDefinitionKey::Code0

Represents a Local office code when the NP indicator is set to 'Public' or a Level 0 code when the NP indicator is set to 'Private'.

required: true
default value[range]: NA [1..15]

## ◆ Code1

xsd__string unsp__DnmDefinitionKey::Code1

Represents an Area code when the NP indicator is set to 'Public' or a Level 1 code when the NP indicator is set to 'Private'.

required: true
default value[range]: NA [1..15]

## ◆ Code2

xsd__string unsp__DnmDefinitionKey::Code2

Represents a Country code when the NP indicator is set to 'Public' or a Level 2 code when the NP indicator is set to 'Private'.

required: true
default value[range]: NA [1..15]

## ◆ Npi

enum unsp__DnmNumberPlanIndicator unsp__DnmDefinitionKey::Npi

The type of numbering plan format to apply.

required: true
default value[range]: DNM_NPI_Public

## ◆ NpName

xsd__string unsp__DnmDefinitionKey::NpName

The name of the Originating Numbering Plan for this DN Definition entry.

Empty XML tag implies usage of NP 'ANY'.
required: true

See also
  unsp__NumberPlanName

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h